commit 21313bbac56e5bccdcfc198d0290d57207725125
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Fri Aug 28 00:16:56 2020 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 1eca4df0f59..23adb1f99d8 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,25 @@
+2020-08-27  Carl Love  <cel@us.ibm.com>
+
+	* config/rs6000/rs6000-builtin.def: (BU_P10V_VSX_1) New builtin
+	macro expansion.
+	(XVCVBF16SPN, XVCVSPBF16): Replace macro expansion BU_VSX_1 with
+	BU_P10V_VSX_1.
+	* config/rs6000/rs6000-call.c: (VSX_BUILTIN_XVCVSPBF16,
+	VSX_BUILTIN_XVCVBF16SPN): Replace with P10V_BUILTIN_XVCVSPBF16,
+	P10V_BUILTIN_XVCVBF16SPN respectively.
+
+2020-08-27  Christophe Lyon  <christophe.lyon@linaro.org>
+
+	Backported from master:
+	2020-08-24  Christophe Lyon  <christophe.lyon@linaro.org>
+
+	PR target/94538
+	PR target/94538
+	* config/arm/thumb1.md: Disable set-constant splitter when
+	TARGET_HAVE_MOVT.
+	(thumb1_movsi_insn): Fix -mpure-code
+	alternative.
+
 2020-08-26  Roger Sayle  <roger@nextmovesoftware.com>
 
 	PR middle-end/87256
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index c7ea9e023ae..7cd20fae38d 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20200827
+20200828
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index e74b026a73a..a8618488f0c 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,12 @@
+2020-08-27  Mark Eggleston  <markeggleston@gcc.gnu.org>
+
+	Backported from master:
+	2020-08-27  Mark Eggleston  <markeggleston@gcc.gnu.org>
+
+	PR fortran/95882
+	* decl.c (char_len_param_value): Check gfc_seen_div0 and
+	if it is set return MATCH_ERROR.
+
 2020-08-11  Paul Thomas  <pault@gcc.gnu.org>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 6f7e3669555..211542e01e6 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,28 @@
+2020-08-27  John David Anglin  <danglin@gcc.gnu.org>
+
+	* gcc.target/hppa/shadd-2.c: Adjust times to 4.
+
+2020-08-27  Mark Eggleston  <markeggleston@gcc.gnu.org>
+
+	Backported from master:
+	2020-08-27  Mark Eggleston  <markeggleston@gcc.gnu.org>
+
+	PR fortran/95882
+	* gfortran.dg/pr95882_1.f90: New test.
+	* gfortran.dg/pr95882_2.f90: New test.
+	* gfortran.dg/pr95882_3.f90: New test.
+	* gfortran.dg/pr95882_4.f90: New test.
+	* gfortran.dg/pr95882_5.f90: New test.
+
+2020-08-27  Christophe Lyon  <christophe.lyon@linaro.org>
+
+	Backported from master:
+	2020-08-24  Christophe Lyon  <christophe.lyon@linaro.org>
+
+	PR target/94538
+	* gcc.target/arm/pure-code/pr94538-1.c: New test.
+	* gcc.target/arm/pure-code/pr94538-2.c: New test.
+
 2020-08-25  Jakub Jelinek  <jakub@redhat.com>
 
 	Backported from master:

